﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Pivot In Window</title>
	<style>
		html,
		body,
		form {
			height: 100%;
			margin: 0;
			padding: 0;
		}

		PivotGridWindow {
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server" ID="rsm1"></telerik:RadScriptManager>
		<script>
			function onMenuShowing(sender, args) {
				console.log(args);
			}

			function onPivotCreated(sender, args) {
				
				setTimeout(function () {
					var pivotFilterWindow = $telerik.getElementByClassName(window, 'PivotGridWindow');
					if (pivotFilterWindow) {
						pivotFilterWindow.style.left = 50 + '%';
						pivotFilterWindow.style.marginLeft = -1 * pivotFilterWindow.offsetWidth/2 + 'px';
					}
				});
				
				if (sender.get_filterWindow()) {
					sender.get_filterWindow().add_dragStart(function () {
						$telerik.getElementByClassName(window, 'PivotGridWindow').style.marginLeft = 0;
					});
				}
			}
		</script>
		<telerik:RadAjaxPanel runat="server" ID="rap1">


			<telerik:RadPivotGrid AllowPaging="true" PageSize="10" Width="800px" Height="400px" OnNeedDataSource="RadPivotGrid_NeedDataSource" EnableZoneContextMenu="true"
				ID="RadPivotGrid1" runat="server" ColumnHeaderZoneText="ColumnHeaderZone">

				<Fields>
					<telerik:PivotGridRowField DataField="Category" ZoneIndex="0">
					</telerik:PivotGridRowField>
					<telerik:PivotGridRowField DataField="ProductName" ZoneIndex="1">
					</telerik:PivotGridRowField>
					<telerik:PivotGridColumnField DataField="Year">
					</telerik:PivotGridColumnField>
					<telerik:PivotGridColumnField DataField="Quarter">
					</telerik:PivotGridColumnField>
					<telerik:PivotGridAggregateField DataField="TotalPrice" Aggregate="Sum" DataFormatString="{0:C}">
					</telerik:PivotGridAggregateField>
					<telerik:PivotGridAggregateField DataField="Quantity" Aggregate="Sum">
					</telerik:PivotGridAggregateField>
				</Fields>
				<SortExpressions>
					<telerik:PivotGridSortExpression FieldName="TotalPrice" SortOrder="Descending"></telerik:PivotGridSortExpression>
				</SortExpressions>
				<ClientSettings EnableFieldsDragDrop="true">
					<Scrolling AllowVerticalScroll="true"></Scrolling>
					<ClientEvents OnPivotGridCreated="onPivotCreated"/>

				</ClientSettings>
			</telerik:RadPivotGrid>
		</telerik:RadAjaxPanel>
	</form>
</body>
</html>
